package com.lanyuanxiaoyao.service.configuration;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 配置标志
 *
 * @author lanyuanxiaoyao
 * @date 2024-03-19
 */
@Component
@ConfigurationProperties("hudi-service")
public class HudiServiceProperties {
    private String signature;

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    @Override
    public String toString() {
        return "HudiServiceProperties{" +
               "signature='" + signature + '\'' +
               '}';
    }
}
